/**
  ******************************************************************************
  * @file     ms32f0xx_it.c
  * @author   SINOMCU-AE
  * @brief    Interrupt Service Routines.
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, SinoMCU shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu All rights reserved.</center></h2>
  *
  ******************************************************************************
  */

#include "system_define.h"

//            Cortex-M0 Processor Exceptions Handlers                         

/**
  * @brief   This function handles NMI exception.
  * @param  None
  * @retval None
  */
// void NMI_Handler (void) {
    
// }

/**
  * @brief  This function handles Hard Fault exception.
  * @param  None
  * @retval None
  */
// void HardFault_Handler (void) {
//   /* Go to infinite loop when Hard Fault exception occurs */
//   while (1) {
//     ;
//   }
// }

/**
  * @brief  This function handles SVCall exception.
  * @param  None
  * @retval None
  */
// void SVC_Handler (void) {
    
// }

/**
  * @brief  This function handles PendSVC exception.
  * @param  None
  * @retval None
  */
// void PendSV_Handler (void) {
    
// }

/**
  * @brief This function handles System tick timer.
  */  
void SysTick_Handler(void) {
  SysTick_Callback();
}

//                 MS32F0xx Peripherals Interrupt Handlers  

/**
  * @brief This function handles RTC_IRQHandler.
  */
// void RTC_IRQHandler(void) {

// }

/**
  * @brief This function handles DMA1_Channel1.
  */
// void DMA1_Channel1_IRQHandler(void) {
    
// }

/**
  * @brief This function handles ADC1 comp.
  */  
// void ADC1_COMP_IRQHandler(void) {
    
// }

/**
  * @brief This function handles Timer1 BRK_UP_TRG_COM.
  */
void TIM1_BRK_UP_TRG_COM_IRQHandler(void) {
  if(MS32_TIM_IsActiveFlag_UPDATE(TIM1)) {
    MS32_TIM_ClearFlag_UPDATE(TIM1);
    Timer_BRK_UP_TRG_COM_Callback();    
  }
}

/**
  * @brief This function handles Timer1 CC.
  */
void TIM1_CC_IRQHandler(void) {
  if(MS32_TIM_IsActiveFlag_CC4(TIM1) && MS32_TIM_IsEnabledIT_CC4(TIM1) ) {
    MS32_TIM_ClearFlag_CC4(TIM1);
    Timer_CC4_Callback();   
  }
 /* <3=> CC3IE Clear,CC3IF Flag Sentence */
#if (TIM_CCXIF_TEST ==3 )
  if(MS32_TIM_IsActiveFlag_CC3(TIM1)) {                                        // ##for test,please do not use this way
#else
  if(MS32_TIM_IsActiveFlag_CC3(TIM1) && MS32_TIM_IsEnabledIT_CC3(TIM1) ) {     // suggest use this way
#endif 
    MS32_TIM_ClearFlag_CC3(TIM1); 
    Timer_CC3_Callback();       
  }  
}

/**
  * @brief This function handles Timer2.
  */
// void TIM2_IRQHandler(void) {
    
// }

/**
  * @brief This function handles Timer17.
  */
// void TIM17_IRQHandler(void) {

// }

/**
  * @brief This function handles USART1.
  */
// void USART1_IRQHandler(void) {
    
// }

/**
  * @brief  This function handles PPP interrupt request.
  * @param  None
  * @retval None
  */
/*void PPP_IRQHandler (void) {

}*/

/******************************** END OF FILE *********************************/
