/**
  ******************************************************************************
  * @file    user_config.h
  * @author  sinomcu.com-AE
  * @brief   Header file of user config.
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
  */
// <<< Use Configuration Wizard in Context Menu >>>
#ifndef __USER_CONFIG_H
#define __USER_CONFIG_H
#include "ms32f0xx_adc.h"

// <c1> SystemClock 48MHz
// <i> System Clock use PLL out 48M
//#define SYSCLK_USE_PLL_48M      1         // 1:sysclk PLL48M,0 or not define:HSI 8M 
// </c>

// <o> Timer CCxIF Test
// <i> Default :Program default
// <i> CC3IE Set :Enable CC3 interrupt,CC1_2_3IF set test
// <i> CH4 Channel Disable :CC4IF not set test
// <i> CC3IE Clear :Interrupt program sentence
// <i> CH4 PWM Out :UIE CC4IE clear
// <0=> Default
// <1=> CC3IE Set
// <2=> CH4 Channel Disable
// <3=> CC3IE Clear
// <4=> CH4 PWM Out
#define TIM_CCXIF_TEST       0 

/* <2=> CH4 Channel Disable */
#if (TIM_CCXIF_TEST ==2 )
#define ENABLE_TIMER1_CH4    0         // 1:CC4E set,0:CC4E clear
#else
#define ENABLE_TIMER1_CH4    1         // 1:CC4E set,0:CC4E clear
#endif

// <c1> Printf to USART
// <i> Retargets printf to USART
#define EN_PRINT_UART        1         // 1:Retargets printf to USART,0 or not define:printf null out
// </c>

#endif /* __SYSTEM_DEF_H */
// <<< end of configuration section >>>
/******************************** END OF FILE *********************************/
